Description

Aleena gave a nice talk on her Michel analysis at the collaboration meeting. | understood from comments that the channel-to-channel
response variations she reported a couple months ago are still not understood. If so, | would like to help understand and resolve the
problem.

Aleena, can you confirm the issue is not understood and point me to the talk where you showed the problem?

Thanks you. --david

History

#1 - 02/08/2021 07:53 AM - Tingjun Yang

| think it was Francesca's study:
https://indico.fnal.gov/event/46095/contributions/202114/attachments/137251/170997/dEdx_wire_tension_transparency.pptx

#2 - 02/08/2021 08:52 AM - David Adams

- Subject changed from Understand channel-to-channel response variation in Michel analysis to Understand channel-to-channel response variation in
data-driven dE/dx

Indeed it is this talk by Francesca that | have in mind. | apologize to both Aleena and Francesca.
| will take Aleena off the ticket.
Am | correct that we still do not understand the origin of the effect?

#3 - 02/08/2021 08:55 AM - Tingjun Yang

| don't think we understand this. There are a few guesses: variations in wire tension, shaping time, etc.

#4 - 02/08/2021 10:00 AM - David Adams

From Francesca:
Hi David,

this is the last of the conversation about these gain variations. I haven’t had time to go down the rabbit ho
le with this topic but if you have time to look at this it would be interesting for sure!

I was having trouble retrieving the uncalibrated values from the files since the module I am using is not work
ing on those files.

We were tossing the idea that maybe the transparency of the APA3 could play a role in it (as explained in the
slides)

https://indico.fnal.gov/event/46095/contributions/202114/attachments/137251/170997/dEdx_wire_tension_transpare
ncy.pptx

Also, from looking at dEdx vs wire I was doing this study / method development:
https://indico.fnal.gov/event/47597/contributions/207928/attachments/139706/175441/02_03_21_dra_dEdx_beam.pdf

if you have any comments or suggestions from your side concerning this study I’d highly appreciate that too :)

best
francesca

It should be easy write a container of recob:Wire with the collection-plane calibrated ROIs without the wirecell deconvolution. Would you be able to
remake your plots with those charge measurements?
#5 - 02/08/2021 10:20 AM - Francesca Stocker

yes if | can get the data for the beam particles in a root file it should be fine to produce the plots.

#6 - 02/08/2021 12:53 PM - David Adams

| am not sure what "data for beam particles" means. Maybe Tingjun can help.

#7 - 02/09/2021 03:58 AM - Francesca Stocker

so let me try to specify for this analysis | was looking specifically at beam Pions from run 5378, this means that is a precisely localised sample in the
detector. the effect is well visible with that sample as these tracks are all affected by lifetime & track angle in the same way. if | take CRT tagged
muons the effect is visible too but fainter, | believe this is due to the fact that lifetime & orientation affects the tracks differently depending on their
location in the drift coordinate so it is smeared out.

| would suggest to look at the same run 5378 before deconvolution and select the particles that make it through the beam window in order to have the
same sample as what | presented. Then one can look at the charge on a wire-to-wire basis for the beam particles and see if we can still see the same
effect.

does that make sense to you?

#8 - 02/09/2021 08:19 AM - David Adams

I can (and would like to) create a configuration (i.e. fcl) of the dataprep module that will write out ROls (i.e. recob::Wire objects). Can you use those
directly with the pions from the current production or do we need to rerun full reco within that same job?

#9 - 02/09/2021 08:33 AM - Francesca Stocker

I am not 100% aware of what needs to be done. if it is of any help | was using following variables in the PDSPanalyzer_module:
https://cdcvs.fnal.gov/redmine/projects/protoduneana/repository/revisions/develop/entry/protoduneana/singlephase/Analysis/PDSPAnalyzer_module.c
c

reco_beam_dEdX_NoSCE vs reco_beam_calo_wire which should be from trackUtils Calorimetry Objects, that comes from a recob::Track object,
which does need reconstruction | reckon. so | guess yes, we need it?

| guess if we can get out the deposited charge vs wire and we manage to filter for just beam particles it should be easy to reproduce comparable plots
to what | was showing.

#10 - 02/10/2021 08:51 AM - David Adams

Francesca:
| see two approaches:

A. We produce data files with the ROls and then match them to your existing tracks using the channel-tick information. The ROIs can be in
recob::Wire format with the matching in an art module or we can write them out int a Root TTree do the work in Root. We will be looking at charge
rather than energy deposit.

B. We run full reco replacing the wirecell ROIs with the ones above. | do not yet have 2D deconvolution and so the recob::Wire collection would have
to be hybrid with the above collection channels and induction channels from wirecell. | am working on the 2D deconvolution but that is probably
another month away.

| have been assuming A but it sounds more like you expect B. Tingjun, how do you think we should proceed?

#11 - 02/10/2021 09:02 AM - Francesca Stocker

David, how much time does it take you to produce a little test file with A? if it's not an immense amount of work we should try to see if we're able to do
it that way. | think it doesn't matter if we look at charge or energy. In fact, the more "raw" we are in the information the better we can understand if
we're dealing with a detector effect, something coming from deconvolution or other changes that are done on the collected signals.

#12 - 02/10/2021 10:44 AM - David Adams

| agree completely. | will provide a few or one event and you can have a look. Do you want run 53877 Can you give me a few event numbers? | will
get something in a day or two. Thanks. --david

#13 - 02/10/2021 11:24 AM - Francesca Stocker

it's run 5387 (1GeV)
here are a few event numbers of beam patrticles that are tagged as beam particles by the beam instrumentation and pass the beam window cuts:

e Row * VNt * FFErERERR kxR
e 0* 115476*
e 2* 115903 *
* 4* 116192*
e5* 116373*
e 7* 116379 "
°8* 116443+
*9* 116638 *
e 11* 116649 *
e 12* 116651*
e 13* 116856 *
e 14* 116862*
e 15* 50554 *
e 16* 50618*
*20* 50979*
e 25* 51267*
*27* 51324*
«31* 51578*
*32* 51594*
*33* 51735*
+35* 51995*
*36* 19460*
¢ 37% 19959*
+38* 19963*
*39* 20161*
©40* 20421*

#14 - 02/10/2021 12:49 PM - David Adams
| think | have job producing ROls.

Can someone tell me how to write out only the ROls and not the raw data, etc.

#15 - 02/10/2021 01:39 PM - David Adams

Francesca:

| have put ROls for one event here:
/nashome/d/dladams/proc/run00/dedx/output/dataprepRois_run005387_evt115903.root
and the full event here
/nashome/d/dladams/proc/run00/dedx/output/allEvent_run005387_evt115903.root

Only the collection plane for APA 3 is included.

Please let me know if either works for you and | can process more events.

david

#16 - 02/16/2021 09:31 AM - David Adams

Francesca, are you able to view the ROls in either of these files? --david

#17 - 02/16/2021 02:27 PM - Francesca Stocker

David Adams wrote:

Francesca, are you able to view the ROls in either of these files? --david

hi david, I'm sorry | was gone in the weekend. | can't access the nashome directories of others than myself.

could you move it to /dune/data/users/dladams/something?

sorry this week is a bit full for me but I'll try to just see if | can look at it the way | did with the other files.

then | can do it probably next week
-francesca

#18 - 02/17/2021 11:53 AM - David Adams

No problem waiting. | just want to make sure you aren't waiting on me for anything. | should have given you the real directory for these files:

/dune/data2/users/dladams/data/protodune/proc/run00/dedx/output

Let me know if you cannot read this and | will check the permissions.

#19 - 02/19/2021 07:26 AM - Francesca Stocker
Hi David,
| looked at the rooffiles you put there for me. | am very unfamiliar with the structure so | didn't get really far. unfortunately | don't have plenty of spare
time to hammer a way out on how to associate the beam particle charge deposition and separate from other particles within the event.

is it feasible for you to somehow store vectors that contain for one event
deposited charge, at corresponding wire, at corresponding tick? maybe we can then already sort with the tick information the beam particles.. and still
avoid reconstruction

I'm quite used to the format of the PDSP Analyzer module, so that style what | am able to work quickest with. ( [[
https://cdcvs.fnal.gov/redmine/projects/protoduneana/repository/revisions/develop/entry/protoduneana/singlephase/Analysis/PDSPAnalyzer_module.c
c]], [[https://wiki.dunescience.org/wiki/PDSPAnalyzerl])

| was working with the branches

reco_beam_dEdX_NoSCE
and

reco_beam_calo_wire

#20 - 02/21/2021 09:21 AM - David Adams

Francesca:

The event data file | created is intended (by art) to be viewed in an art event-processing job, i.e. retrieving the data from inside an art module. It
sounds like you are instead working inside Root. In theory one could directly find the recob::Wire branches in the event file and extract the information
you request but | am not sure how easy that is in practice. | add Mike and Tom in CC. Perhaps one of them or Tingjun can comment on the feasibility
of that approach.

| could instead write out a TTree with one entry per ROI, with the following information:

Run

Event

Channel number

# ticks

starting tick
charge intergral

or one entry/event/channel adding the number of ROIS and making the last three arrays of that length.

Let me know if either or both of these approaches would work for you. Right now, | am leaning toward the second.

#21 - 02/23/2021 07:58 AM - Francesca Stocker

Hi David,

so | need to compare the charge integral for the same particle trajectory (the one of the beam particle, that's why the reco objects from pandora
facilitate the work here) on a channel-by-channel basis.

what is the difference between your proposed branches #ticks and starting tick?
is it possible with

Channel number

# ticks

starting tick

charge intergral

to isolate beam particles? | assume by requesting a certain tick-range? do you know which one already?
#22 - 02/23/2021 09:06 AM - David Adams

If an ROI extends from tick 1000 to 1010, the starting tick is 1000 and the # ticks is 11.

| was going to write all the APA3 ROls for your event list. But if you prefer | can also add a cut on the ticks.

#23 - 02/23/2021 09:16 AM - Francesca Stocker

I think an appropriate cut on the tick range to only include beam particles would be desirable.

#24 - 02/26/2021 11:25 AM - David Adams

Francesca:

| have put TTree with ROIS for one event at
/dune/data2/users/dladams/data/protodune/proc/runll/dedx/writeRoiTree/dpcr_apa3z/np04_run005387_evtsl115000-116
000/event115903/adcrois.root

The branch names should be pretty obvious: isam is the first tick in the ROI, nsam is the # ticks, and gke is the charge in ke.
For example, to display the beam region for this one event and plane:
adcrois->Draw ("channel:isam+0.5*nsam", "gke* (isam>4000&&isam<5000)")

Please let me know if this will work for you and then we can discuss the format for multiple events, e.g. one file or tree per event.

#25 - 03/01/2021 08:36 AM - Francesca Stocker
- File 1ev_charge_channel.pdf added

Hi David,

so the plot attached should be the charge vs channel (i.e. wire) for the beam patrticle region right?

Now we just need to include all particles of several events in this plot and we will (or won't) see the strange shifted pattern emerge as we accumulate
stats?

if the Tree has a gke, channel as vecotrs per event then it's easiest directly to plot this from terminal. because then one tree would be able to hold all
events.

so each gke and channel entry in the tree corresponds to an event being two vectors with all the gke vs corresponding channel at the same position

within the vector.

cheers Francesca

#26 - 03/01/2021 11:29 AM - David Adams
- File sigstren-trig8-run005776evts000000-006000.png added

I had in mind that you would match the ROls to your tracks, e.g. keep the closest for each channel, but we certainly also just use a timing cut as in my
example. In either case, if you send me an event list, | can produce a tree with those events.

| did point you earlier to plots averaging over all ticks for thousands of events (call signal strength). Here | include one of those switching to a linear
scale. | believe the channel-to-channel fluctuation here are smaller than what you see. Is that correct?

#27 - 03/12/2021 03:35 AM - Francesca Stocker

Hi David,

coming back to this.

I think it is easiest and quickest to just use the timing cut. it's important to look at charge that came in at roughly the same timing (same location within
the drift) to see the fluctuations. | don't think it matters to try to match it to tracks.

the run | looked at was 5387, so any N-events from that specific run should be a good start.

I think the fluctuations | saw are bigger than what you see on the signal strength. also | saw a bit of a pattern for going from channel to channel. are
yours just collection channels? because mine are just collection channels as | look at the wires where charge was deposited

#28 - 03/12/2021 10:52 AM - David Adams

Francesca:

The signal strength plots only include collection channels.

As a next step, | have made a tree with 100 events from run 387. The file is here:
/dune/data2/users/dladams/data/protodune/proc/runll/dedx/writeRoiTree/dpcr_apa3z/np04_run005387_evtsl115000-116
000/event115000-115100/adcrois.root

Please have another look and let me know if this is what you want. | have not imposed a cut on tick, but you and easily do that with variable "isam",
e.g. "isam>=4000&&isam<5000". Note the charge is now in variable groi (instead of gke) and | have added the pulse height limits in "hmin" and

"hmax" and the channels status in "status" (1=bad, 2=noisy, 0 otherwise). The former can be be used to impose a new threshold.

| will start producing trees with 1000 events each. Let me know how many of those you want.

david
Files
1ev_charge_channel.pdf 20.7 KB 03/01/2021 Francesca Stocker
sigstren-trig8-run005776evts000000-006000.png 76.2 KB 03/01/2021 David Adams
